ServerLauncher.ServerState (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.distributed, class: ServerLauncher, class: ServerState

Package org.apache.geode.distributed

# Class ServerLauncher.ServerState

java.lang.Object
org.apache.geode.distributed.AbstractLauncher.ServiceState<String>
org.apache.geode.distributed.ServerLauncher.ServerState

Enclosing class:
  ServerLauncher

public static class ServerLauncher.ServerState extends AbstractLauncher.ServiceState<String>
The ServerState is an immutable type representing the state of the specified Server at any given moment in time. The state of the Server is assessed at the exact moment an instance of this class is constructed.

See Also:
  - `AbstractLauncher.ServiceState`

- ## Field Summary

  ### Fields inherited from class org.apache.geode.distributed.AbstractLauncher.ServiceState

  `JSON_CLASSPATH, JSON_GEMFIREVERSION, JSON_HOST, JSON_JAVAVERSION, JSON_JVMARGUMENTS, JSON_LOCATION, JSON_LOGFILE, JSON_MEMBERNAME, JSON_PID, JSON_PORT, JSON_STATUS, JSON_STATUSMESSAGE, JSON_TIMESTAMP, JSON_UPTIME, JSON_WORKINGDIRECTORY`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ServerState(AbstractLauncher.Status status, String statusMessage, long timestamp, String serverLocation, Integer pid, Long uptime, String workingDirectory, List<String> jvmArguments, String classpath, String gemfireVersion, String javaVersion, String logFile, String host, String port, String memberName)`
  ``
  `ServerState(ServerLauncher launcher, AbstractLauncher.Status status)`
  ``
  `ServerState(ServerLauncher launcher, AbstractLauncher.Status status, String errorMessage)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ServerLauncher.ServerState`
  `fromDirectory(String workingDirectory, String memberName)`
  `static ServerLauncher.ServerState`
  `fromJson(String json)`
  Unmarshals a ServerState instance from the JSON String.
  `protected String`
  `getServiceName()`
  Gets the name of the GemFire service.
  `String`
  `toString()`
  Gets a String describing the state of Server.

  ### Methods inherited from class org.apache.geode.distributed.AbstractLauncher.ServiceState

  `format, getClasspath, getGemFireVersion, getHost, getJavaVersion, getJvmArguments, getLogFile, getMemberName, getPid, getPort, getServiceLocation, getStatus, getStatusMessage, getTimestamp, getUptime, getWorkingDirectory, identifyPid, isStartingNotRespondingOrNull, isStartingOrNotResponding, isVmWithProcessIdRunning, toDaysHoursMinutesSeconds, toJson, toString, toString, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServerState

    public ServerState(ServerLauncher launcher, AbstractLauncher.Status status)

  - ### ServerState

    public ServerState(ServerLauncher launcher, AbstractLauncher.Status status, String errorMessage)

  - ### ServerState

    protected ServerState(AbstractLauncher.Status status, String statusMessage, long timestamp, String serverLocation, Integer pid, Long uptime, String workingDirectory, List<String> jvmArguments, String classpath, String gemfireVersion, String javaVersion, String logFile, String host, String port, String memberName)

- ## Method Details

  - ### fromJson

    public static ServerLauncher.ServerState fromJson(String json)
    Unmarshals a ServerState instance from the JSON String.
    Parameters:
      `json` - a JSON String
    Returns:
      a ServerState value unmarshalled from the JSON String.

  - ### fromDirectory

    public static ServerLauncher.ServerState fromDirectory(String workingDirectory, String memberName)

  - ### getServiceName

    protected String getServiceName()
    Description copied from class: `AbstractLauncher.ServiceState`
    Gets the name of the GemFire service.
    Specified by:
      `getServiceName` in class `AbstractLauncher.ServiceState<String>`
    Returns:
      a String indicating the name of the GemFire service.

  - ### toString

    public String toString()
    Gets a String describing the state of Server.
    Overrides:
      `toString` in class `AbstractLauncher.ServiceState<String>`
    Returns:
      a String describing the Server state.